## net.sf.saxon.tinytree
Class TinyBuilder

    java.lang.Object
      |
      +--net.sf.saxon.event.Builder
            |
            +--net.sf.saxon.tinytree.TinyBuilder

All Implemented Interfaces:
  Receiver, javax.xml.transform.Result

public class TinyBuilder
extends Builder

The TinyBuilder class is responsible for taking a stream of SAX events and constructing a Document tree, using the "TinyTree" implementation.

Field Summary

Fields inherited from class net.sf.saxon.event.Builder
`config, currentDocument, lineNumbering, locator, namePool, STANDARD_TREE, started, systemId, timing, TINY_TREE`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`TinyBuilder()`

Method Summary
`void` `attribute(int nameCode, int typeCode, java.lang.CharSequence value, int locationId, int properties)` Notify an attribute.
`void` `characters(java.lang.CharSequence chars, int locationId, int properties)` Callback interface for SAX: not for application use
`void` `close()` Callback interface for SAX: not for application use
`void` `comment(java.lang.CharSequence chars, int locationId, int properties)` Callback interface for SAX: not for application use
`void` `createDocument()`
`void` `endElement()` Callback interface for SAX: not for application use
`void` `namespace(int namespaceCode, int properties)` Notify a namespace.
`void` `open()` Callback interface for SAX: not for application use
`void` `processingInstruction(java.lang.String piname, java.lang.CharSequence remainder, int locationId, int properties)` Callback interface for SAX: not for application use
`void` `setSizeParameters(int[] params)`
`void` `setUnparsedEntity(java.lang.String name, java.lang.String uri, java.lang.String publicId)` Set an unparsed entity in the document
`void` `startContent()` Notify the start of the content, that is, the completion of all attributes and namespaces.
`void` `startElement(int nameCode, int typeCode, int locationId, int properties)` Notify the start tag of an element

Methods inherited from class net.sf.saxon.event.Builder
`build, endDocument, getConfiguration, getCurrentDocument, getDocumentLocator, getSystemId, isTiming, setConfiguration, setDocumentLocator, setLineNumbering, setRootNode, setSystemId, setTiming, startDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TinyBuilder

    public TinyBuilder()

Method Detail

### setSizeParameters

    public void setSizeParameters(int[] params)

### createDocument

    public void createDocument()

### open

    public void open()
              throws XPathException

  Callback interface for SAX: not for application use

  Specified by:
    `open` in interface `Receiver`
  Overrides:
    `open` in class `Builder`
    `XPathException`

### close

    public void close()
               throws XPathException

  Callback interface for SAX: not for application use

  Specified by:
    `close` in interface `Receiver`
  Overrides:
    `close` in class `Builder`
    `XPathException`

### startElement

    public void startElement(int nameCode,
                             int typeCode,
                             int locationId,
                             int properties)
                      throws XPathException

  Notify the start tag of an element

  Parameters:
    `nameCode` - integer code identifying the name of the element within the name pool.
    `typeCode` - integer code identifying the element's type within the name pool. The value -1 indicates the default type, xdt:untyped.
    `locationId` - an integer which can be interpreted using a LocationMap to return information such as line number and system ID. If no location information is available, the value zero is supplied.
    `XPathException`

### namespace

    public void namespace(int namespaceCode,
                          int properties)
                   throws XPathException

  Description copied from interface: `Receiver`
  Notify a namespace. Namespaces are notified after the startElement event, and before any children for the element. The namespaces that are reported are only required to include those that are different from the parent element; however, duplicates may be reported. A namespace must not conflict with any namespaces already used for element or attribute names.

  Parameters:
    `namespaceCode` - an integer: the top half is a prefix code, the bottom half a URI code. These may be translated into an actual prefix and URI using the name pool. A prefix code of zero represents the empty prefix (that is, the default namespace). A URI code of zero represents a URI of "", that is, a namespace undeclaration.
    `XPathException`

### attribute

    public void attribute(int nameCode,
                          int typeCode,
                          java.lang.CharSequence value,
                          int locationId,
                          int properties)
                   throws XPathException

  Description copied from interface: `Receiver`
  Notify an attribute. Attributes are notified after the startElement event, and before any children. Namespaces and attributes may be intermingled.

  Parameters:
    `nameCode` - The name of the attribute, as held in the name pool
    `typeCode` - The type of the attribute, as held in the name pool
    `locationId` - an integer which can be interpreted using a LocationMap to return information such as line number and system ID. If no location information is available, the value zero is supplied.
    `properties` - Bit significant value. The following bits are defined:
  DISABLE_ESCAPING
    Disable escaping for this attribute
  NO_SPECIAL_CHARACTERS
    Attribute value contains no special characters
    `XPathException`

### startContent

    public void startContent()

  Description copied from interface: `Receiver`
  Notify the start of the content, that is, the completion of all attributes and namespaces. Note that the initial receiver of output from XSLT instructions will not receive this event, it has to detect it itself. Note that this event is reported for every element even if it has no attributes, no namespaces, and no content.

### endElement

    public void endElement()
                    throws XPathException

  Callback interface for SAX: not for application use

    `XPathException`

### characters

    public void characters(java.lang.CharSequence chars,
                           int locationId,
                           int properties)
                    throws XPathException

  Callback interface for SAX: not for application use

  Parameters:
    `chars` - The characters
    `locationId` - an integer which can be interpreted using a LocationMap to return information such as line number and system ID. If no location information is available, the value zero is supplied.
    `properties` - Bit significant value. The following bits are defined:
  DISABLE_ESCAPING
    Disable escaping for this text node
  USE_CDATA
    Output as a CDATA section
  NO_SPECIAL_CHARACTERS
    Value contains no special characters
  WHITESPACE
    Text is all whitespace
    `XPathException`

### processingInstruction

    public void processingInstruction(java.lang.String piname,
                                      java.lang.CharSequence remainder,
                                      int locationId,
                                      int properties)
                               throws XPathException

  Callback interface for SAX: not for application use

  Parameters:
    `piname` - The PI name. This must be a legal name (it will not be checked).
    `remainder` - The data portion of the processing instruction
    `locationId` - an integer which can be interpreted using a LocationMap to return information such as line number and system ID. If no location information is available, the value zero is supplied.
    `properties` - Additional information about the PI. The following bits are defined:
  CHECKED
    Data is known to be legal (e.g. doesn't contain "?>")
    `XPathException`

### comment

    public void comment(java.lang.CharSequence chars,
                        int locationId,
                        int properties)
                 throws XPathException

  Callback interface for SAX: not for application use

  Parameters:
    `chars` - The content of the comment
    `locationId` - an integer which can be interpreted using a LocationMap to return information such as line number and system ID. If no location information is available, the value zero is supplied.
    `properties` - Additional information about the comment. The following bits are defined:
  CHECKED
    Comment is known to be legal (e.g. doesn't contain "--")
    `XPathException`

### setUnparsedEntity

    public void setUnparsedEntity(java.lang.String name,
                                  java.lang.String uri,
                                  java.lang.String publicId)

  Set an unparsed entity in the document

  Parameters:
    `name` - The name of the unparsed entity
    `uri` - The system identifier of the unparsed entity
    `publicId` - The public identifier of the unparsed entity